Skip to main content
POST
/
{publicTenantSlug}
/
attachments
/
temporary
Upload public temporary attachments
curl --request POST \
  --url https://api.gospott.com/{publicTenantSlug}/attachments/temporary \
  --header 'Content-Type: multipart/form-data' \
  --form 'files=<string>' \
  --form files.items='@example-file'
[
  {
    "type": "unassigned",
    "attachmentId": "<string>",
    "attachmentName": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "extension": "<string>",
    "size": 123
  }
]

Path Parameters

publicTenantSlug
string
required

Query Parameters

type
enum<string>
required

The type/category of the attachment (e.g., cv, cover_letter, contract, etc.)

Available options:
unassigned,
CV,
COVER_LETTER,
ID_DOCUMENT,
QUESTIONNAIRE,
PERSONALITY_TEST,
OFFER,
TRANSCRIPT,
TERMS_AND_CONDITIONS,
JOB_DESCRIPTION,
TERMS_AND_CONDITIONS,
SCORECARD,
CANDIDATE_BRIEFING,
SHORTLISTED_CVS,
MEETING_VIDEO,
AUDIO,
OUTPUT,
WORD_REPORT_EXPORT_TEMPLATE,
PPTX_REPORT_EXPORT_TEMPLATE,
ExportedTemplatedReport,
ExportedTemplatedCv,
IMPORT_CSV,
LOGO,
FAVICON,
NOTE_TAKER_IMAGE

Body

multipart/form-data

File to upload. Accepted formats: PDF (.pdf), Word (.docx). Max 1 file, 5MB.

files
file[]

File to upload. Supported MIME types: application/pdf, application/vnd.openxmlformats-officedocument.wordprocessingml.document (.docx)

Response

Attachment uploaded successfully. Returns an array with the attachment details including the temporary ID.

type
enum<string> | null
required
Available options:
unassigned,
CV,
COVER_LETTER,
ID_DOCUMENT,
QUESTIONNAIRE,
PERSONALITY_TEST,
OFFER,
TRANSCRIPT,
TERMS_AND_CONDITIONS,
JOB_DESCRIPTION,
TERMS_AND_CONDITIONS,
SCORECARD,
CANDIDATE_BRIEFING,
SHORTLISTED_CVS,
MEETING_VIDEO,
AUDIO,
OUTPUT,
WORD_REPORT_EXPORT_TEMPLATE,
PPTX_REPORT_EXPORT_TEMPLATE,
ExportedTemplatedReport,
ExportedTemplatedCv,
IMPORT_CSV,
LOGO,
FAVICON,
NOTE_TAKER_IMAGE
attachmentId
string
required
attachmentName
string | null
required
createdAt
string<date-time>
required
extension
string | null
required
size
number | null
required